#
# spec file for package tree-sitter-hyprlang
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name hyprlang
Name:           tree-sitter-hyprlang
Version:        3.1.0
Release:        1.1
Summary:        Hyprlang grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter-grammars/tree-sitter-hyprlang
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Sun May 11 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 3.1.0:
  * feat: tuple rbg/rgba
  * fix: file pattern
  * feat(queries): add bash injections
  * update(test): add highlight test
  * fix: variables values
  * feat(queries): more injections
  * fix(#17): add support for display and position
  * update: remove unnecessary conflict
  * add: MIT License
  * feat: support new exec keywords
  * fix: sync parser and tests
  * feat: add ALT_L mod
* Thu Dec  5 2024 Richard Rahl <rrahl0@opensuse.org>
- initial package
